package com.imdbInfo.base;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.URL;
import java.net.URLConnection;
import java.net.URLEncoder;

import net.sf.json.JSONObject;
import net.sf.json.JSONSerializer;

public class BasicTest {
	
	private static final String BASIC_API_URL = "http://www.imdbapi.com/?";
	private static final String TITLE_PARAM = "t=";
	@SuppressWarnings("unused")
	private static final String YEAR_PARAM = "&y=";

	public static void main(String[] args) {
		
		try {
			String titleToSearch = URLEncoder.encode("Forrest Gump","UTF-8");
			
			String text = getJSONStringOf(BASIC_API_URL + TITLE_PARAM + titleToSearch);
			
			JSONObject jSonObject  = (JSONObject) JSONSerializer.toJSON(text);
			
			String title = jSonObject.getString("Title");
			int year = jSonObject.getInt("Year");
			int votes = jSonObject.getInt("Votes");
			double rating = jSonObject.getDouble("Rating");
			String genre = jSonObject.getString("Genre");
			//Runtime, Director vs.
			System.out.println("Title:"  + title + "\nYear:" + year + "\nVotes:" + votes + "\nRating:" + rating + "\nGenre:" + genre);
		} catch (Exception e) {
			//Movie not found !
			e.printStackTrace();
		}
	}
	
	public static String getJSONStringOf(String urlSpec) throws Exception {
		URL url = new URL(urlSpec);
		URLConnection connection = url.openConnection();

		BufferedReader reader = new BufferedReader(new InputStreamReader(
				connection.getInputStream()));
		String line = "";
		StringBuilder builder = new StringBuilder();
		while ((line = reader.readLine()) != null) {
			builder.append(line);
		}
		return builder.toString();
	}
}
